Subject: Re: [PATCH GIT 0.6] make use of register variables & size_t

From: Matthias-Christian Ott <[email-masked]>
Date: Mon, 25 Apr 2005 14:56:36 +0200

Rene Rebe wrote:
> Hi,
> 
> Matthias-Christian Ott wrote:
> 
>> The "git" didn't try store small variables, which aren't referenced, 
>> in the processor registers. It also didn't use the size_t type. I 
>> corrected a C++ style comment too.
> 
> 
> Well, modern compilers take register as a non-binding hint. Your 
> register storage specification for those loop counters will not make any 
> change. You have not looked into the resulting binary?
> 
> Also // is valid C99 ...
> 
> Yours,
> 
But if you use only /* */ comments and there's a // comment it looks 
ugly :).

I've disassembled the code and it for me (I'm not a professional 
assembler coder) it looks like it's stored in a register because the ebp 
offsets are smaller and the gcc (4.0) wouldn't cause an error if you 
reference them.

Matthias-Christian Ott